## aiffmux aiffmux — Multiplex raw audio into AIFF |

## Synopsis

    struct              GstAiffMux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAiffMux

## Description

Format an audio stream into the Audio Interchange File Format

## Synopsis

### Element Information

plugin | aiff
author | Robert Swain <robert.swain@gmail.com>
class | Muxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, width=(int)8, depth=(int)[ 1, 8 ], signed=(boolean)true, endianness=(int)4321, channels=(int)[ 1, 2147483647 ], rate=(int)[ 1, 2147483647 ]
| audio/x-raw-int, width=(int)16, depth=(int)[ 9, 16 ], signed=(boolean)true, endianness=(int)4321, channels=(int)[ 1, 2147483647 ], rate=(int)[ 1, 2147483647 ]
| audio/x-raw-int, width=(int)24, depth=(int)[ 17, 24 ], signed=(boolean)true, endianness=(int)4321, channels=(int)[ 1, 2147483647 ], rate=(int)[ 1, 2147483647 ]
| audio/x-raw-int, width=(int)32, depth=(int)[ 25, 32 ], signed=(boolean)true, endianness=(int)4321, channels=(int)[ 1, 2147483647 ], rate=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-aiff

## Details

### struct GstAiffMux

    struct GstAiffMux;

Opaque data structure.